package com.jeeplus.modules.sg.managementcenter.materialproject.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.io.Externalizable;
import java.io.Serializable;

public class MaterialProject extends DataEntity<MaterialProject>{
    private String reserveProjectName;   //储备项目名称
    private String projectName;       //项目名称
    private String reserveCode;        //储备编码
    private String projectCode;       //项目编码
    private String projectDefine;     //项目定义
    private String projectAttribute;   //项目属性
    private String projectBatch;       //项目批次
    private String suppliesBatch;       //物料批次

    private String projectStatus;

    private String[] reserveCodes;//储备编码(多条)
    private String[] projectCodes;//项目编码(多条)

    public String[] getReserveCodes() {
        return reserveCodes;
    }

    public void setReserveCodes(String[] reserveCodes) {
        this.reserveCodes = reserveCodes;
    }

    public String[] getProjectCodes() {
        return projectCodes;
    }

    public void setProjectCodes(String[] projectCodes) {
        this.projectCodes = projectCodes;
    }

    public String getProjectStatus() {
        return projectStatus;
    }

    public void setProjectStatus(String projectStatus) {
        this.projectStatus = projectStatus;
    }

    @ExcelField(title="储备项目名称", align=2, sort=1)
    public String getReserveProjectName() {
        return reserveProjectName;
    }

    public void setReserveProjectName(String reserveProjectName) {
        this.reserveProjectName = reserveProjectName;
    }

    @ExcelField(title="项目名称", align=2, sort=2)
    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @ExcelField(title="储备编码", align=2, sort=3)
    public String getReserveCode() {
        return reserveCode;
    }

    public void setReserveCode(String reserveCode) {
        this.reserveCode = reserveCode;
    }

    @ExcelField(title="项目编码", align=2, sort=4)
    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    @ExcelField(title="项目定义", align=2, sort=5)
    public String getProjectDefine() {
        return projectDefine;
    }

    public void setProjectDefine(String projectDefine) {
        this.projectDefine = projectDefine;
    }

    @ExcelField(title="项目属性", align=2, sort=6)
    public String getProjectAttribute() {
        return projectAttribute;
    }

    public void setProjectAttribute(String projectAttribute) {
        this.projectAttribute = projectAttribute;
    }

    @ExcelField(title="项目批次", align=2, sort=7)
    public String getProjectBatch() {
        return projectBatch;
    }

    public void setProjectBatch(String projectBatch) {
        this.projectBatch = projectBatch;
    }

    public String getSuppliesBatch() {
        return suppliesBatch;
    }

    public void setSuppliesBatch(String suppliesBatch) {
        this.suppliesBatch = suppliesBatch;
    }

}
